//
//  SpeakProgressHistoryViewCtr.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/23.
//

import UIKit

class SpeakProgressHistoryViewCtr: SpeakEleBaseViewCtr {

    
    @IBOutlet weak var SpeakHistoryTableView: UITableView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.title = "History class records"
        self.view.backgroundColor = .init(hex: 0xF6F7F9)
    }

    override func setup() {
        SpeakHistoryTableView.delegate = self
        SpeakHistoryTableView.dataSource = self
        SpeakHistoryTableView.separatorStyle = .none
        SpeakHistoryTableView.register(UINib(nibName: SpeakProHistoryCell.id, bundle: nil), forCellReuseIdentifier: SpeakProHistoryCell.id)
    }
    
}

extension SpeakProgressHistoryViewCtr : UITableViewDelegate,UITableViewDataSource {
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 3
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: SpeakProHistoryCell.id, for: indexPath) as! SpeakProHistoryCell
        cell.selectionStyle = .none
        return cell
    }
    
}
